# Submit a payment partial settle request

Send a partial settle request to receive a portion of the funds of a payment.
**Note:** Send the amount to settle and the authorization currency in the body.

Endpoint: POST /api/payments/{linkData}/partialSettlements
Version: 2024-06-01
Security: BasicAuth

## Security:

  - `BasicAuth` (unknown)
    http basic

## Path parameters:

  - `linkData` (string, required)

## Header parameters:

  - `WP-Api-Version` (string, required)
    The API version

## Request fields (application/json):

  - `reference` (string, required)

  - `sequence` (object)
    The sequence number and total number of expected partial settlement requests for the payment.

  - `sequence.number` (integer, required)

  - `sequence.total` (integer, required)

  - `value` (object, required)
    The value and currency.

  - `value.currency` (string, required)
    The three character currency code. See list of supported currencies.
    Example: USD

  - `value.amount` (integer, required)
    The payment amount. Implied decimal. For example, 250 GBP = £2.50.
When set to `0` will perform a card verification instead of a payment as part of a new `customerAgreement`.
    Example: 250

## Request examples:

  - `sentForSettlement` (unknown)

## Response 202:

  - `202` (unknown)
    Accepted

## Response 202 fields (application/json):

  - `outcome` (string)
    Enum: "sentForSettlement"

  - `paymentId` (string)
    Unique identifier generated by us for a single payment. Generated at authorization, and maintained through successive payment actions.

  - `_links` (object)
    Return details about the status of the payment.

  - `_links.self` (object)

  - `_links.self.href` (string)

  - `_actions` (object)

  - `_actions.refundPayment` (object)
    Fully refund the payment. See [details](/products/payments/openapi/manage-payments/refund)

  - `_actions.refundPayment.href` (string)

  - `_actions.refundPayment.method` (string)

  - `_actions.partiallyRefundPayment` (object)
    Partially refund the payment. See [details](/products/payments/openapi/manage-payments/partialrefund)

  - `_actions.partiallyRefundPayment.href` (string)

  - `_actions.partiallyRefundPayment.method` (string)

  - `_actions.partiallySettlePayment` (object)
    Partially settle the payment. See [details](/products/payments/openapi/manage-payments/partialsettle) including what to add in the request body.

  - `_actions.partiallySettlePayment.href` (string)

  - `_actions.partiallySettlePayment.method` (string)

  - `_actions.cancelPayment` (object)
    Cancel the payment. See [details](/products/payments/openapi/manage-payments/cancel)

  - `_actions.cancelPayment.href` (string)

  - `_actions.cancelPayment.method` (string)

  - `_actions.reversePayment` (object)
    Reverse the payment. See [details](/products/payments/openapi/manage-payments/reversal)

  - `_actions.reversePayment.href` (string)

  - `_actions.reversePayment.method` (string)

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `errorName` (string)

  - `message` (string)

  - `jsonPath` (string)

  - `validationErrors` (array)

  - `validationErrors.errorName` (string)

  - `validationErrors.message` (string)

  - `validationErrors.jsonPath` (string)

  - `validationErrors.validationErrors` (array)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `errorName` (string)

  - `message` (string)

## Response 404:

  - `404` (unknown)
    Not found

## Response 404 fields (application/json):

  - `errorName` (string)

  - `message` (string)

## Response 406:

  - `406` (unknown)
    Not acceptable

## Response 406 fields (application/json):

  - `errorName` (string)

  - `message` (string)

  - `headerName` (string)

## Response 415:

  - `415` (unknown)
    Unsupported media type

## Response 415 fields (application/json):

  - `errorName` (string)

  - `message` (string)

## Response 500:

  - `500` (unknown)
    Internal server error

## Response 500 fields (application/json):

  - `errorName` (string)

  - `message` (string)

## Response 202 examples:

  - `sentForSettlement` (unknown)

## Response 400 examples:

  - `Bad request` (unknown)

## Response 401 examples:

  - `Unauthorized` (unknown)

## Response 404 examples:

  - `Not found` (unknown)

## Response 406 examples:

  - `Not acceptable` (unknown)

## Response 415 examples:

  - `Unsupported media type` (unknown)

## Response 500 examples:

  - `Internal server error` (unknown)

